Name:           osmosis-bin
Version:        0.46
Release:        1%{?dist}
Summary:        Command line Java application for processing OSM data
URL:            https://github.com/openstreetmap/osmosis
Source0:        https://bretth.dev.openstreetmap.org/osmosis-build/osmosis-%{version}.tgz
License:        GPLv2+
BuildArch:      noarch
Requires:       java

%description
Osmosis is a command line Java application for processing OSM data.

%prep
%setup -qc osmosis-%{version}
# Remove win script
%{__rm} bin/osmosis.bat
# convert EOL
for file in `find script -type f`
do
    sed -i -e 's/\r$//' ${file}
done
# Fix paths
for file in `find bin -type f`
do
    %{__sed} -i \
             -e 's^$MYAPP_HOME/lib^%{_javadir}/osmosis^' \
             -e 's^$MYAPP_HOME/config^%{_sysconfdir}/osmosis^' \
             ${file}
done
for file in `find config -type f`
do
    %{__sed} -i \
             -e 's^${app.home}/lib^%{_javadir}/osmosis^' \
             -e 's^${app.home}/config^%{_sysconfdir}/osmosis^' \
             ${file}
done

%build

%install
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/osmosis
%{__mkdir_p} %{buildroot}%{_javadir}/osmosis/default
%{__install} -m 0644 config/* %{buildroot}%{_sysconfdir}/osmosis/
%{__install} -m 0755 bin/* %{buildroot}%{_bindir}/
%{__install} -m 0644 lib/default/* %{buildroot}%{_javadir}/osmosis/default/

%files
%doc readme.txt changes.txt copying.txt script
%{_bindir}/osmosis*
%{_javadir}/osmosis/*
%config(noreplace) %{_sysconfdir}/osmosis/*

%changelog
* Tue May 08 2018 Didier Fabert <didier.fabert@gmail.com> 0.46-1
- Update from upstream

* Mon Jun 19 2017 Didier Fabert <didier.fabert@gmail.com> 0.45-3
- Requires java

* Sat Jun 17 2017 Didier Fabert <didier.fabert@gmail.com> 0.45-2
- Remove group

* Mon Jun 12 2017 Didier Fabert <dfabert@b2pweb.com> 0.45-1
- First package
